org.keycloak.models

## Interface ClientModel

- All Known Subinterfaces:
    ApplicationModel, OAuthClientModel
  All Known Implementing Classes:
    ApplicationAdapter, ApplicationAdapter, ClientAdapter, ClientAdapter, OAuthClientAdapter, OAuthClientAdapter

      public interface ClientModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRedirectUri(String redirectUri)`
    `void` | `addWebOrigin(String webOrigin)`
    `int` | `getActiveUserSessions()`
    `long` | `getAllowedClaimsMask()`
    `String` | `getClientId()` String exposed to outside world
    `String` | `getId()` Internal database key
    `int` | `getNotBefore()` Time in seconds since epoc
    `RealmModel` | `getRealm()`
    `Set<String>` | `getRedirectUris()`
    `String` | `getSecret()`
    `Set<UserSessionModel>` | `getUserSessions()`
    `Set<String>` | `getWebOrigins()`
    `boolean` | `isDirectGrantsOnly()`
    `boolean` | `isEnabled()`
    `boolean` | `isPublicClient()`
    `void` | `removeRedirectUri(String redirectUri)`
    `void` | `removeWebOrigin(String webOrigin)`
    `void` | `setAllowedClaimsMask(long mask)`
    `void` | `setDirectGrantsOnly(boolean flag)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setPublicClient(boolean flag)`
    `void` | `setRedirectUris(Set<String> redirectUris)`
    `void` | `setSecret(String secret)`
    `void` | `setWebOrigins(Set<String> webOrigins)`
    `boolean` | `validateSecret(String secret)`

- - ### Method Detail

    - #### getId

          String getId()

      Internal database key
      Returns:

    - #### getClientId

          String getClientId()

      String exposed to outside world
      Returns:

    - #### getAllowedClaimsMask

          long getAllowedClaimsMask()

    - #### setAllowedClaimsMask

          void setAllowedClaimsMask(long mask)

    - #### getWebOrigins

          Set<String> getWebOrigins()

    - #### setWebOrigins

          void setWebOrigins(Set<String> webOrigins)

    - #### addWebOrigin

          void addWebOrigin(String webOrigin)

    - #### removeWebOrigin

          void removeWebOrigin(String webOrigin)

    - #### getRedirectUris

          Set<String> getRedirectUris()

    - #### setRedirectUris

          void setRedirectUris(Set<String> redirectUris)

    - #### addRedirectUri

          void addRedirectUri(String redirectUri)

    - #### removeRedirectUri

          void removeRedirectUri(String redirectUri)

    - #### isEnabled

          boolean isEnabled()

    - #### setEnabled

          void setEnabled(boolean enabled)

    - #### validateSecret

          boolean validateSecret(String secret)

    - #### getSecret

          String getSecret()

    - #### setSecret

          void setSecret(String secret)

    - #### isPublicClient

          boolean isPublicClient()

    - #### setPublicClient

          void setPublicClient(boolean flag)

    - #### isDirectGrantsOnly

          boolean isDirectGrantsOnly()

    - #### setDirectGrantsOnly

          void setDirectGrantsOnly(boolean flag)

    - #### getRealm

          RealmModel getRealm()

    - #### getNotBefore

          int getNotBefore()

      Time in seconds since epoc
      Returns:

    - #### setNotBefore

          void setNotBefore(int notBefore)

    - #### getUserSessions

          Set<UserSessionModel> getUserSessions()

    - #### getActiveUserSessions

          int getActiveUserSessions()

Copyright © 2014. All Rights Reserved.